import sys, os
sys.path.append("/home/thebears/Web/Nuggets/SearchInterface/SearchUtil")
sys.path.append("/home/thebears/Web/Nuggets/SearchInterface/VectorService/util")
import embed_scores as ES
# %%
#cd = '/srv/ftp_tcc/leopards1/2025/09/25/'
cd = '/mnt/hdd_24tb_1/videos/ftp/leopards1/2025/09/24'
xx = ES.get_vector_representation(cd)
g
o = ES.calculate_embedding_score_in_folder(cd, 0.1, query='Two cats');

# %%
from CommonCode.video_meta import FTPVideo
f='/srv/ftp_tcc/leopards1/2025/09/13/Leopards1_00_20250913135952.mp4'
c = FTPVideo(f)
c.embeddings

# %%
cd = '/srv/ftp_tcc/leopards1/2025/08/15'
o = ES.calculate_embedding_score_in_folder(cd, 0.1, query='Two cats');
# %%

cd = '/srv/ftp_tcc/leopards1/2025/10/01'
vecreo = ES.get_vector_representation(cd, force_compute = True)
print(vecreo)
# %%
o = ES.calculate_embedding_score_in_folder(cd, 0.1, query='Two cats');
# %%
